import React, { useState, useEffect } from 'react';
import { json } from 'd3';

import { feature, mesh } from 'topojson'

const jsonUrl ='https://gist.githubusercontent.com/spandhanabadekol/b105609398075bf6eb52c30043557bdc/raw/f5c74cb42e0fcf1172bb67988d44fce2f9254542/sweDish';

export const useData = () => {
  const [data, setData] = useState(null);
  
  console.log(data)
  
  useEffect(() => {
    json(jsonUrl).then(topojsonData => {
      setData(
        {
          laen: feature(topojsonData, topojsonData.objects['laen.geo']),
        	interiors: mesh(topojsonData, topojsonData.objects['laen.geo'], (a, b) => a !== b)
        })  
    });
  }, []);
  
  return data;
};